VampPluginSDK 2.1

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
Vamp::PluginAdapterBase Class Reference

PluginAdapter and PluginAdapterBase provide a wrapper class that a plugin library can use to make its C++ Vamp::Plugin objects available through the Vamp C API. More...

`#include <vamp-sdk/PluginAdapter.h>`

Inheritance diagram for Vamp::PluginAdapterBase:
[legend]

List of all members.

## Public Member Functions
virtual | ~PluginAdapterBase ()
const VampPluginDescriptor * | getDescriptor ()
| Return a VampPluginDescriptor describing the plugin that is wrapped by this adapter.
## Protected Member Functions
| PluginAdapterBase ()
virtual Plugin * | createPlugin (float inputSampleRate)=0
## Protected Attributes
Impl * | m_impl

## Detailed Description

PluginAdapter and PluginAdapterBase provide a wrapper class that a plugin library can use to make its C++ Vamp::Plugin objects available through the Vamp C API.

Almost all Vamp plugin libraries will want to make use of this. To do so, all they need to do is declare a PluginAdapter<T> for each plugin class T in their library. It's very simple, and you need to know absolutely nothing about how it works in order to use it. Just cut and paste from an existing plugin's discovery function.

See also:
  vampGetPluginDescriptor

Definition at line 65 of file PluginAdapter.h.

## Constructor & Destructor Documentation

virtual Vamp::PluginAdapterBase::~PluginAdapterBase | ( |  | ) | `[virtual]`

Vamp::PluginAdapterBase::PluginAdapterBase | ( |  | ) | `[protected]`

## Member Function Documentation

const VampPluginDescriptor* Vamp::PluginAdapterBase::getDescriptor | ( |  | ) |

Return a VampPluginDescriptor describing the plugin that is wrapped by this adapter.

Referenced by vampGetPluginDescriptor().

virtual Plugin* Vamp::PluginAdapterBase::createPlugin | ( | float | inputSampleRate | ) | `[protected, pure virtual]`

Implemented in Vamp::PluginAdapter< P >.

## Member Data Documentation

Impl* Vamp::PluginAdapterBase::m_impl`[protected]`

Definition at line 81 of file PluginAdapter.h.

The documentation for this class was generated from the following file:

- PluginAdapter.h